Bug 42159 - Quick colour creation/selection in colour picker
Summary: Quick colour creation/selection in colour picker
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 44124 58334 68248 77695 79869 82516 84365 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-10-24 05:40 UTC by Vincent Beers
Modified: 2014-09-26 23:50 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of colour picker enhancement (28.93 KB, image/png)
2011-10-24 05:40 UTC, Vincent Beers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Beers 2011-10-24 05:40:57 UTC
Created attachment 52685 [details]
Example of colour picker enhancement

I have always found the colour pickers (to set the colour of the text, background or highlighting) rather limiting. You only get a set of fixed colours, and while the list of default colours has grown over the past releases I still find it difficult to pick an appropriate colour. The fact that adding new colours happens somewhere in the options menu doesn't help.

So here's my suggestion: add a button (or control) inside this colour picker that lets me quickly set my own RGB values.

For example, right above the colour name label there could be a button that opens the native colour picker. Once a specific colour has been selected, this colour is then saved in an extra row reserved for custom (or recent, or used in this document) colours. This row could maybe be right below the No Fill text, as long as it's clear that it's different from the colours in the default palette.

A pic is attached to clarify a bit more.

Hope anyone else finds this a good idea. :)
Comment 1 Rainer Bielefeld Retired 2011-10-24 07:49:08 UTC
Other Ideas:
<http://wiki.services.openoffice.org/wiki/User_Experience/Projects/ColorPicker>

I have been sure that we already have such a feature in the line and found
<http://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg10005.html>
Comment 2 Vincent Beers 2011-10-24 10:23:56 UTC
(In reply to comment #1)
> Other Ideas:
> <http://wiki.services.openoffice.org/wiki/User_Experience/Projects/ColorPicker>
> 
> I have been sure that we already have such a feature in the line and found
> <http://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg10005.html>

Very nice. I do hope it integrates nicely into the current colour picker, or is easily findable there, or that some of my other thoughts are used to enhance it still (showing the previously picked colours in a separate row in the current menu-style picker).
Comment 3 Robert Roth 2013-02-06 08:22:05 UTC
*** Bug 58334 has been marked as a duplicate of this bug. ***
Comment 4 Robert Roth 2013-02-06 08:23:27 UTC
*** Bug 44124 has been marked as a duplicate of this bug. ***
Comment 5 ign_christian 2013-08-20 05:59:30 UTC
*** Bug 68248 has been marked as a duplicate of this bug. ***
Comment 6 Pierre Morin 2014-02-05 21:06:41 UTC
Hi !
It's been ages since I wait for this feature to be in LibreOffice (and OpenOffice before it) : I can't completely switch from MSOffice until this is in the UI.

Does anyone knows when this feature will be in the software ?

Thanks !
Comment 7 Jorendc 2014-04-21 10:25:08 UTC
*** Bug 77695 has been marked as a duplicate of this bug. ***
Comment 8 a3380349 2014-04-21 13:12:04 UTC
*** Bug 58334 has been marked as a duplicate of this bug. ***
Comment 9 bfoman (inactive) 2014-06-10 17:24:37 UTC
*** Bug 79869 has been marked as a duplicate of this bug. ***
Comment 10 sophie 2014-08-13 14:19:41 UTC
*** Bug 82516 has been marked as a duplicate of this bug. ***
Comment 11 Fabian Alexander Wilms 2014-08-21 19:50:48 UTC
This has been added during the GSOC: http://cgit.freedesktop.org/libreoffice/core/log/?h=feature/gsoc14-colors
Comment 12 Adolfo Jayme 2014-09-17 09:48:13 UTC
The branch feature/gsoc14-colors has just been merged to master.
Comment 13 Adolfo Jayme 2014-09-26 23:50:43 UTC
*** Bug 84365 has been marked as a duplicate of this bug. ***